Subject: Re: [PATCH 1/2] rename pSeries nvram functions

From: Nathan Lynch <[email-masked]>
Date: Tue, 30 Jan 2007 14:16:42 -0600

Benjamin Herrenschmidt wrote:
> On Wed, 2007-01-24 at 19:00 -0600, Nathan Lynch wrote:
> > Benjamin Herrenschmidt wrote:
> > > On Thu, 2007-01-25 at 11:46 +1100, Benjamin Herrenschmidt wrote:
> > > > On Wed, 2007-01-24 at 18:16 -0600, Nathan Lynch wrote:
> > > > > The nvram support in the pSeries platform code is not really tied to
> > > > > the pSeries platform.  This code is useful on other platforms that
> > > > > have the necessary firmware support.
> > > > > 
> > > > > Change the "pSeries" prefixes on the nvram function names to "rtas" in
> > > > > preparation for moving this code to a platform-neutral location.
> > > > > 
> > > > > Signed-off-by: Nathan Lynch <[email-masked]>
> > > > 
> > > > Please, move them out of platform/pseries while at it, so you can also
> > > > merge with chrp nvram.c which is pretty much the same.
> > > 
> > > Oh, missed that second patch of yours... good :-) Now we should see if
> > > we can fixup chrp too..
> > 
> > I'll look into it, though I might be hard-pressed to find a chrp
> > machine with which to test.
> 
> I haev a couple, If you don't beat me, I'll have a look at doing the
> chrp bits next week.

Actually... it turns out we can use the mmio nvram backend on maple
(at least on systems with SLOF).  It seems to be quite a bit faster
than RTAS.

So I think I'll submit a patch enabling MMIO_NVRAM for maple and leave
the consolidation of the pseries and chrp nvram code as a separate
matter.